## ros-iron-twist-mux-msgs 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(twist_mux_msgs)

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "action/JoyPriority.action"
  "action/JoyTurbo.action"
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-iron-twist-mux-msgs (3.0.1-1jammy) jammy; urgency=high

  * Updates for releasing (#3 <https://github.com/ros-teleop/twist_mux_msgs/issues/3>)
    * Add LICENSE file and update license to apache v2
    * Add contributing file
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Jul 2023 23:00:00 -0000

ros-iron-twist-mux-msgs (3.0.0-1jammy) jammy; urgency=high

  * Migrate to ROS2 (#2 <https://github.com/ros-teleop/twist_mux_msgs/issues/2>)
  * Contributors: Victor Lopez, Noel Jimenez, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 May 2023 23:00:00 -0000

ros-iron-twist-mux-msgs (2.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Jun 2018 23:00:00 -0000

ros-iron-twist-mux-msgs (2.0.0-1jammy) jammy; urgency=high

  * Update README.md
    Add documentation link and build status.
  * Contributors: Enrique Fernández Perdomo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Jul 2016 23:00:00 -0000

ros-iron-twist-mux-msgs (1.0.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 May 2015 23:00:00 -0000

ros-iron-twist-mux-msgs (0.1.0-1jammy) jammy; urgency=high

  * Update maintainer email
  * Contributors: Enrique Fernandez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 03 Apr 2015 23:00:00 -0000

ros-iron-twist-mux-msgs (0.0.1-1jammy) jammy; urgency=high

  * Add twist_mux msgs
  * Contributors: Enrique Fernandez, Siegfried Gevatter, Paul Mathieu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Nov 2014 00:00:00 -0000

=== debian/control ===
Source: ros-iron-twist-mux-msgs
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-action-msgs, ros-iron-ament-cmake, ros-iron-ament-lint-common <!nocheck>, ros-iron-rosidl-default-generators, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-twist-mux-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-action-msgs, ros-iron-rosidl-default-runtime, ros-iron-ros-workspace
Description: The twist_mux msgs and actions package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-twist-mux-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
